Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class CIOnePopVar

    java.lang.Object
      org.statcato.statistics.inferential.CIOnePopVar

    public class CIOnePopVar

extends java.lang.Object

Confidence interval class for one population variance.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`CIOnePopVar(double confidenceLevel, int n, double variance)` Constructor.

Method Summary
`double` | `lowerLimit()` Returns the lower limit of the confidence interval.
`java.lang.String` | `stdevCI()` Returns a string representing the confidence interval of the standard deviation (lower limit, upper limit);
`java.lang.String` | `toString()` Returns a string representing the confidence interval of the variance (lower limit, upper limit).
`double` | `upperLimit()` Returns the upper limit of the confidence interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIOnePopVar

    public CIOnePopVar(double confidenceLevel,
                       int n,
                       double variance)

  Constructor.

  Parameters:
    `confidenceLevel` - confidence level, between 0 and 1
    `n` - sample size
    `variance` - sample variance

Method Detail

### lowerLimit

    public double lowerLimit()

  Returns the lower limit of the confidence interval. (n-1)*s^2 / XR^2, where XR is the inverse cumulative probability of the chi-square distribution at 1 - alpha/2 (alpha is the signifiance level).

  Returns:
    lower limit

### upperLimit

    public double upperLimit()

  Returns the upper limit of the confidence interval. (n-1)*s^2 / XL^2, where XL is the inverse cumulative probability of the chi-square distribution at alpha/2 (alpha is the significance level).

  Returns:
    upper limit

### toString

    public java.lang.String toString()

  Returns a string representing the confidence interval of the variance (lower limit, upper limit).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string

### stdevCI

    public java.lang.String stdevCI()

  Returns a string representing the confidence interval of the standard deviation (lower limit, upper limit);

  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD